
services:

##########################################
##
## orchestration / yankee-desktop-remix
##
##########################################x

    yankee-downloader-desktop-manual:

        container_name: yankee-downloader-desktop-manual

        image: softwareshinobi/yankee-downloader-desktop:manual

        restart: unless-stopped

        build: 

            context: .

            dockerfile: Dockerfile

        volumes:

            - yankee-downloader-nfs-downloads:/home/yankee/Downloads

        hostname: yankeedesktop

        ports:

          - "23022:22"
          
          - "23080:80"

          - "23900:5900"
            
        environment:
        
            TZ: America/New_York

            USER_UID: 1000

            USER_GID: 1000

            USER: yankee

            PASSWORD: yankee

            HTTP_PASSWORD: yankee

##########################################
##
## volumes / yankee-desktop-remix
##
##########################################x

volumes:

    yankee-downloader-nfs-downloads:

        driver_opts:

            type: "nfs"

            o: nfsvers=4,addr=osiris.yankee.embanet.online,nolock,hard,rw

            device: ":/"
